Comments you submit will be routed for moderation. If you have an account, please log in first.
Modify

Ticket #94 (closed enhancement: fixed)

Opened 3 years ago

Last modified 3 years ago

vpy_install - fail if easy_install fails

Reported by: wehart Owned by: wehart
Priority: major Milestone: PyUtilib 3.4
Component: pyutilib.virtualenv Version:
Keywords: Cc:

Description

Force the failure immediately

Attachments

Change History

comment:1 Changed 3 years ago by wehart

Referenced in changeset [2108]:

Adding logic to handle installation errors gracefully. Errors result in immediate termination of the installation logic, and they return a nonzero error code.

This resolves #94.

comment:2 Changed 3 years ago by wehart

  • Status changed from new to closed
  • Resolution set to fixed

comment:3 Changed 3 years ago by wehart

Referenced in changeset [2114]:

Merged revisions 2095-2113 via svnmerge from  https://software.sandia.gov/svn/public/pyutilib/pyutilib.virtualenv/trunk

........

r2100 | wehart | 2010-10-29 16:16:46 -0600 (Fri, 29 Oct 2010) | 4 lines

Adding a --source option to vpy_install, which allows the specification of a source directory.

Disabling PYTHONHOME if it is defined.

........

r2105 | wehart | 2010-11-06 21:58:09 -0600 (Sat, 06 Nov 2010) | 5 lines

Adding the --release option to specify subversion checkouts of release branches. Changed default checkout to use a pypi.ini configuration file.

........

r2106 | wehart | 2010-11-26 11:21:01 -0700 (Fri, 26 Nov 2010) | 5 lines

Add logic to gracefully terminate when a user does not have permissions needed to create the target directory.

Resolving #93.

........

r2107 | wehart | 2010-11-26 11:39:27 -0700 (Fri, 26 Nov 2010) | 2 lines

Adding the '--no-deps' option for offline installation.

........

r2108 | wehart | 2010-11-26 12:29:00 -0700 (Fri, 26 Nov 2010) | 6 lines

Adding logic to handle installation errors gracefully. Errors result in immediate termination of the installation logic, and they return a nonzero error code.

This resolves #94.

........

r2109 | wehart | 2010-11-26 12:59:23 -0700 (Fri, 26 Nov 2010) | 2 lines

Updating vpy_install.

........

r2110 | wehart | 2010-11-26 13:37:21 -0700 (Fri, 26 Nov 2010) | 8 lines

Perform error checking to confirm that the subversion command can be executed.

Add error check when subversion is not available but it is necessary to install a package.

Resolves #89

........

r2112 | wehart | 2010-11-26 13:46:49 -0700 (Fri, 26 Nov 2010) | 5 lines

Misc edits in error message that is printed when a package installation error is detected.

Resolves #61

........

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.